@import '../../../variables.scss';

.dropdown {
  position: relative;
  background-color: #fff;
  border: 1px solid $grayC;
  width: 165px;
  padding: 4px 0;

  &:after {
    content: '';
    position: absolute;
    top: -7px;
    left: 50%;
    display: block;
    width: 12px;
    height: 12px;
    background-color: inherit;
    border: inherit;
    border-bottom: 0;
    border-left: 0;
    transform: translateX(-50%) rotate(-45deg);
    z-index: 0;
  }
}

.dropdownButton {
  position: relative;
  width: 100%;
  display: flex;
  padding: 10px 16px;
  z-index: 1;

  &:hover {
    background-color: $grayF;
  }

  &:disabled {
    pointer-events: none;

    svg {
      color: $gray9
    }
  }

  svg {
    width: 18px;
    min-width: 18px;
    margin-right: 8px;
    color: $green;
    transition: 0.3s ease-out;
  }

  span {
    color: $gray9
  }
}